<?php
/*
Author: Sinan Tekmil
Author URI: http://www.veblebi.com/
Script URI: http://www.veblebi.com/nobetci-eczaneler-uygulamasi/
v :1.01;
*/

$iller = array(
	0=>'İl Seçiniz', 1=>'ADANA', 2=>'ADIYAMAN', 3=>'AFYON', 4=>'AĞRI', 5=>'AMASYA', 6=>'ANKARA', 7=>'ANTALYA', 8=>'ARTVİN', 9=>'AYDIN', 10=>'BALIKESİR', 11=>'BİLECİK', 12=>'BİNGÖL', 13=>'BİTLİS', 14=>'BOLU', 15=>'BURDUR', 16=>'BURSA', 17=>'ÇANAKKALE', 18=>'ÇANKIRI', 19=>'ÇORUM', 20=>'DENİZLİ', 21=>'DİYARBAKIR', 22=>'EDİRNE', 23=>'ELAZIĞ', 24=>'ERZİNCAN', 25=>'ERZURUM', 26=>'ESKİŞEHİR', 27=>'GAZİANTEP', 28=>'GİRESUN', 29=>'GÜMÜŞHANE', 30=>'HAKKARİ', 31=>'HATAY', 32=>'ISPARTA', 33=>'MERSİN', 34=>'İSTANBUL', 35=>'İZMİR', 36=>'KARS', 37=>'KASTAMONU', 38=>'KAYSERİ', 39=>'KIRKLARELİ', 40=>'KIRŞEHİR', 41=>'KOCAELİ', 42=>'KONYA', 43=>'KÜTAHYA', 44=>'MALATYA', 45=>'MANİSA', 46=>'KAHRAMANMARAŞ', 47=>'MARDİN', 48=>'MUĞLA', 49=>'MUŞ', 50=>'NEVŞEHİR', 51=>'NİĞDE', 52=>'ORDU', 53=>'RİZE', 54=>'SAKARYA', 55=>'SAMSUN', 56=>'SİİRT', 57=>'SİNOP', 58=>'SİVAS', 59=>'TEKİRDAĞ', 60=>'TOKAT', 61=>'TRABZON', 62=>'TUNCELİ', 63=>'ŞANLIURFA', 64=>'UŞAK', 65=>'VAN', 66=>'YOZGAT', 67=>'ZONGULDAK', 68=>'AKSARAY', 69=>'BAYBURT', 70=>'KARAMAN', 71=>'KIRIKKALE', 72=>'BATMAN', 73=>'ŞIRNAK', 74=>'BARTIN', 75=>'ARDAHAN', 76=>'IĞDIR', 77=>'YALOVA', 78=>'KARABÜK', 79=>'KİLİS', 80=>'OSMANİYE', 81=>'DÜZCE'
);
$varsayilan_il = 5; // ilk acilista hangi il ile baslamasini isterseniz, plaka kodunu rakam olarak yazin..
$varsayilan_ilce = 48; // ilk acilista hangi ilce ile baslamasini isterseniz, plaka kodunu rakam olarak yazin..
?>
<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" dir="ltr" lang="tr-tr">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>Nöbetçi Eczaneler</title>
<style>
.n-container {width:100%;text-align:center}
#frm_nobetci select {padding:3px;margin-bottom:6px}
#frm_nobetci button {background:#00B3B3;padding:6px;border:1px solid #00A6A6;cursor:pointer;color:#fff;}
#frm_nobetci button:hover {background:#008C8C;}
#frm_nobetci button:active {background:#00A6A6;}
#sonuc {font-size:14px;margin-top:10px;}
#sonuc h4 {margin:0;padding:3px}
#sonuc table {border-collapse: collapse;margin:0 auto;}
#sonuc table th{padding:3px;background:#F9F9F9;border:1px solid #eee}
#sonuc table td{padding:3px;border:1px solid #eee}
</style>
<script src="http://code.jquery.com/jquery-2.1.4.min.js"></script>
<script src="region.js"></script>
<script>var $ = jQuery.noConflict();</script>
</head>
<body>
<div class="n-container">
<form id="frm_nobetci"  method="post">
<select id="il" name="il">
<?php foreach($iller as $key => $il ):?>
<?php $slc = ($varsayilan_il == $key) ? ' selected="selected"':null;?>
<option value="<?php echo $key?>"<?php echo $slc?>><?php echo $il?></option>
<?php endforeach?>
</select>
<br>
<select id="ilce" name="ilce" style="display:none" data-varsayilan="<?php echo $varsayilan_ilce?>"></select>
<br>
<button type="submit">Getir</button>
</form>
<div id="sonuc"></div>
</div>
<script>
function ilce_getir(il_id) {
	$( "#ilce" ).html("");
	var varsayilan = $( "#ilce" ).attr("data-varsayilan");
	var slc = "";
	if(il_id > 0 ) {
		var db = regiondb[il_id];
		$( "#ilce" ).append( "<option value=\"\">İlçe Seçiniz</option>" );
		for (var i = 0; i < db.length; i++) {
			slc = varsayilan == db[i].value ? ' selected="selected"' : "";
			$( "#ilce" ).append( '<option value="'+db[i].value+'"'+slc+'>'+db[i].text+'</option>' );
		}
		$( "#ilce" ).show(300);
	} else {
		$( "#ilce" ).hide(300);
	}
	if(varsayilan != 0 ) {
		$( "#frm_nobetci" ).trigger('submit');
	}
}
$( "#il" ).change(function() {
	var il_id = parseInt($(this).val()) || 0;
	ilce_getir(il_id);
});
// Form submit
$( "#frm_nobetci" ).submit(function(event) {
	var il= parseInt($("#il").val()) || 0;
	var ilce= parseInt($("#ilce").val()) || 0;
	if(il < 1 ) {
		alert('Lütfen İl Seçiniz');
		return false;
	}
	if(ilce < 1 ) {
		alert('Lütfen İlçe Seçiniz');
		return false;
	}
	var yol = 'curl.php';
	$.ajax( {
		type: "POST",
		url: yol,
		data: $(this).serialize(),
		success: function(cevap) {
			$('#sonuc').html(cevap);
			$('#sonuc').show(200);
		}
	});
	event.preventDefault();
});
</script>
<?php if($varsayilan_il):?>
<script>ilce_getir(<?php echo $varsayilan_il?>)</script>
<?php endif?>
</body>
</html>